Subject: Re: [bug#77442] [PATCH 2/2] gnu: Remove r-h5.

From: Andreas Enge <[email-masked]>
Date: Wed, 16 Apr 2025 19:01:02 +0200

Am Wed, Apr 16, 2025 at 06:31:19PM +0200 schrieb Simon Tournier:
> > -    (inputs
> > -     (list zlib hdf5-1.10))
> Well, I have nothing against the removal of this package.  But please
> note that we still have hdf5-1.8 and will keep hdf5-1.10 for some time.
> Somehow, r-h5 does not need to upgrade its hdf5 input.
> Somehow, I would be in favor to delay this removal.

Well, we would like to get rid of hfd5-1.10, which is EOL and superseded
by 1.14 upstream. (This may not be possible immediately if some other
useful package depends on it, but we should not artificially delay the
transition.) This package itself has been deprecated upstream for more
than 7 years, with a suggested replacement, so I see no point in keeping it.
I think we have a tendency to accumulate cruft in Guix and am trying to get
rid of it...

Andreas